Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05636 Sound Major Always Jul 23, 2014, 16:56 Aug 9, 2014, 20:02
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To Phil Bennett Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver vegas.cpp
Version 0.154 Fixed in Version 0.155 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 05636: gauntleg, gauntdl, carnevil and clones: Missing streaming BGM/Sounds during gameplay
Description Music and sound seem to be present up until you start the the first level. At that point the music and most sound effects seem to disappear and it is not updated.
Carnevil has some sound/music until the level starts, then just sound effects.
Steps To Reproduce
Additional Information Suspect April 20-April 21, 2014 - r29798 (audio modernization)
Github Commit
Flags
Regression Version 0.154
Affected Sets / Systems gauntleg, gauntdl, carnevil and clones
Attached Files
 
Relationships
has duplicate 05653Closed midway seattle drivers : carnevil 
Notes
3
User avatar
No.10858
B2K24
Moderator
Jul 23, 2014, 20:11
Upon starting the first level, I hear a constant noise after the music and most sound effects disappear.

I can't tell if it's repeated water noise from the waterfall or some kind of static that repeats itself.
User avatar
No.10895
jonnyhooper
Tester
Aug 4, 2014, 19:06
edited on: Aug 4, 2014, 19:07
lol i just reported this and i got got closed you must of just posted this the same time i did... lol. oh well :/ :L ill just leave this to you devs sorry :) keep up the fixes thank you very much
User avatar
No.10912
Phil Bennett
Developer
Aug 9, 2014, 20:02
The kludgy part of midway_ioasic_device::fifo_status_r() broke during the r29798 modernization...